[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: yum-update - libxml2



Michael A. Peters schrieb:
On 12/16/2004 12:46:59 AM, Roger Grosswiler wrote:

Hi,

i've been again trying to update libxml2 according to the security- issues. (update to libxml2-2.6.16-2)


[mpeters devel ~]$ rpm -q libxml2
libxml2-2.6.16-3
[mpeters devel ~]$

Looks like there is a libxml2 update beyond yours



Thats what i get from yum after update:


Traceback (most recent call last):
File "/usr/bin/yum", line 22, in ?
import yummain
File "/usr/share/yum/yummain.py", line 31, in ?
import yumcomps
File "/usr/share/yum/yumcomps.py", line 4, in ?
import comps
File "/usr/share/yum/comps.py", line 5, in ?
import libxml2
File "/usr/lib/python2.3/site-packages/libxml2.py", line 1, in ?
import libxml2mod
ImportError: /usr/lib/python2.3/site-packages/libxml2mod.so: undefined symbol: xmlNewDocPI


Works for me -

[mpeters devel ~]$ su --command="yum update"
Password:
Setting up Update Process
Setting up Repo:  livna-stable
repomd.xml                100% |=========================|  951 B     00:00
*snip for brevity*
Excluding Packages in global exclude list
Finished
No Packages marked for Update/Obsoletion
[mpeters devel ~]$

Maybe try the newer libxml2 package?

-=-
I am using a slightly newer version of yum than fc3 ships with - but I don't think that's your issue.



This is on FC2 - i did the update, but it didn't help...

Roger


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]